-- SPDX-License-Identifier: CC0-1.0

let Genode = env:DHALL_GENODE

let RomMap = Genode.Prelude.Map.Type Text Genode.Boot.Rom

let Args = { config : Genode.Init.Type, rom : RomMap } : Type

in    λ(boot : Args)
    → { config = boot.config
      , rom =
          Genode.Boot.toRomPaths [ (env:MANIFEST).solo5.lib.solo5 ] # boot.rom
      }
