-- SPDX-License-Identifier: CC0-1.0

let Genode = env:DHALL_GENODE

let render =
        λ(boot : Genode.Boot.Type)
      → let rom =
                [ { mapKey = "config"
                  , mapValue =
                      Genode.Boot.Rom.RomText (Genode.Init.render boot.config)
                  }
                ]
              # boot.rom
        
        in  rom

in  render
